#include "StdAfx.h"
#include "Define.h"
#include "VaxRegUser.h"
#include "VaxServerExCOM.h"

CVaxRegUser::CVaxRegUser()
{
}

CVaxRegUser::~CVaxRegUser()
{
}

//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

void CVaxRegUser::OnRegisterUser(LPCTSTR sUserLogin, LPCTSTR sDomain,  LPCTSTR sUserAgentName, LPCTSTR sFromIP, LONG lFromPort, LONG lRegId)
{
	CString sPassword, sCodecList, sUserPrefix,  sDialPrefix, sToPeerName;

	BOOL bBlocked;
	int nToPeerType;
	BOOL bStealthListen;

	CVaxServerExCOM::m_pVaxServerExCOM->GetUserData(sUserLogin, sPassword, sCodecList, bBlocked, sUserPrefix,  sDialPrefix, nToPeerType, sToPeerName, bStealthListen);

	if(bBlocked || sPassword.IsEmpty())
	{
		CVaxServerExCOM::m_pVaxServerExCOM->RejectRegister(lRegId, 404, "Not Found");
		return;
	}
	
	BOOL bResult = CVaxServerExCOM::m_pVaxServerExCOM->AuthRegister(lRegId);
}

void CVaxRegUser::OnRegisterUserSuccess(LPCTSTR sUserLogin, LPCTSTR sFromIP, LONG lFromPort, LONG lRegId)
{	
	
}

void CVaxRegUser::OnRegisterUserFailed(LPCTSTR sUserLogin, LPCTSTR sFromIP, LONG lFromPort, LONG lRegId)
{
	
}

void CVaxRegUser::OnUnRegisterUser(LPCTSTR sUserLogin)
{	
	
}
