#include "stdafx.h"
#include "VaxRoom.h"
#include "VaxServerExCOM.h"

CVaxRoom::CVaxRoom(void)
{
}


CVaxRoom::~CVaxRoom(void)
{
}

////////////////////////////////////////////////////////////////////////

void CVaxRoom::OnIncomingCall(LONG lSessionId, LPCTSTR sRoomName, BOOL& bProcessed)
{
	bProcessed = FALSE;

	if(CString(sRoomName).IsEmpty())
		return;

	bProcessed = TRUE;

	if(!CVaxServerExCOM::m_pVaxServerExCOM->AcceptCallSession(lSessionId, "", "", "", -1, "", 20)) // Accept the incoming call and add to conference room in OnCallSessionConnected()
	{
		CVaxServerExCOM::m_pVaxServerExCOM->RejectCallSession(lSessionId, 404, "Not Found");
		return;
	}
	
	m_sRoomName = sRoomName;
}

void CVaxRoom::OnCallSessionConnected(LONG lSessionId)
{
	if(m_sRoomName.IsEmpty())
		return;

	CVaxServerExCOM::m_pVaxServerExCOM->AddCallSessionToConferenceRoom(m_sRoomName, lSessionId, TYPE_VOICE_NORMAL); 
}
	
void CVaxRoom::OnCallSessionOnHold(LONG lSessionId, int nChannelId)
{
}

void CVaxRoom::OnCallSessionOffHold(LONG lSessionId, int nChannelId)
{
}

void CVaxRoom::OnCallSessionTransferBlind(LONG lTransfererSessionId, LONG lTransfererChannelId, LPCTSTR sTransferer, LPCTSTR sTransferee, LPCTSTR sTransferTo)
{
	if(m_sRoomName.IsEmpty())
		return;

	CVaxServerExCOM::m_pVaxServerExCOM->RejectTransfer(lTransfererSessionId);
}

void CVaxRoom::OnCallSessionTransferConsult(LONG lTransfererSessionId, int nTransfererChannelId, LONG lTransferToSessionId, int nTransferToChannelId, LPCTSTR sTransferer, LPCTSTR sTransferee, LPCTSTR sTransferTo)
{
	if(m_sRoomName.IsEmpty())
		return;

	CVaxServerExCOM::m_pVaxServerExCOM->RejectTransfer(lTransfererSessionId);
}


	
