﻿Public Class cVaxRegUser

    '//////////////////////////////////////////////////////////////////////////
    '//////////////////////////////////////////////////////////////////////////

    Public Sub OnRegisterUser(ByVal sUserLogin As String, ByVal sDomain As String, ByVal sUserAgentName As String, ByVal sFromIP As String, ByVal nFromPort As Integer, ByVal nRegId As Integer)

        If (cVaxServerExCOM.m_objServerExCOM.IsUserBlocked(sUserLogin)) Then
            cVaxServerExCOM.m_objServerExCOM.RejectRegister(nRegId, 404, "Not Found")
            Return
        End If

        cVaxServerExCOM.m_objServerExCOM.AuthRegister(nRegId)

        Dim sStatus As String = sUserLogin + " " + cDefine.USER_REG_TRYING
        cVaxServerExCOM.m_objServerExCOM.GenStatusLog(sStatus)

    End Sub

    Public Sub OnRegisterUserSuccess(ByVal sUserLogin As String, ByVal sFromIP As String, ByVal nFromPort As Integer, ByVal nRegId As Integer)

        cVaxServerExCOM.m_objServerExCOM.SetRegUser(sUserLogin, True)

        Dim sStatus As String = sUserLogin + " " + cDefine.USER_REG_SUCCESS
        cVaxServerExCOM.m_objServerExCOM.GenStatusLog(sStatus)

    End Sub

    Public Sub OnRegisterUserFailed(ByVal sUserLogin As String, ByVal sFromIP As String, ByVal nFromPort As Integer, ByVal nRegId As Integer)

        Dim sStatus As String = sUserLogin + " " + cDefine.USER_REG_FAILED
        cVaxServerExCOM.m_objServerExCOM.GenStatusLog(sStatus)

    End Sub

    Public Sub OnUnRegisterUser(ByVal sUserLogin As String)

        cVaxServerExCOM.m_objServerExCOM.SetRegUser(sUserLogin, False)

        Dim sStatus As String = sUserLogin + " " + cDefine.USER_UNREGISTER
        cVaxServerExCOM.m_objServerExCOM.GenStatusLog(sStatus)

    End Sub

End Class
