using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace VaxTeleConfigSIP
{
    public partial class ErrorLogForm : Form
    {
        public ErrorLogForm()
        {
            InitializeComponent();
        }

        public void OnErrorLog(string sError)
        {
            ListError.Items.Add(sError);

            string sCaption = "Error log (" + Convert.ToString(ListError.Items.Count) + ")";
            MainForm.m_objMainForm.SetPageTitle(sCaption, 8);
        }

        private void BtnClear_Click(object sender, EventArgs e)
        {
            ListError.Items.Clear();
            MainForm.m_objMainForm.SetPageTitle("Error log (0)", 8);
        }
    }
}